# BlockExplodeEvent (Scissors-API 1.19.3-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.block, class: BlockExplodeEvent

Package org.bukkit.event.block

# Class BlockExplodeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockExplodeEvent

All Implemented Interfaces:
  `Cancellable`

public class BlockExplodeEvent extends BlockEvent implements Cancellable
Called when a block explodes

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockExplodeEvent(@NotNull Block what, @NotNull List<Block> blocks, float yield)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<Block>`
`blockList()`
Returns the list of blocks that would have been removed or were removed from the explosion event.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`float`
`getYield()`
Returns the percentage of blocks to drop from this explosion
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setYield(float yield)`
Sets the percentage of blocks to drop from this explosion

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockExplodeEvent

public BlockExplodeEvent(@NotNull @NotNull Block what, @NotNull @NotNull List<Block> blocks, float yield)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### blockList

@NotNull public @NotNull List<Block> blockList()
Returns the list of blocks that would have been removed or were removed from the explosion event.

Returns:
  All blown-up blocks

### getYield

public float getYield()
Returns the percentage of blocks to drop from this explosion

Returns:
  The yield.

### setYield

public void setYield(float yield)
Sets the percentage of blocks to drop from this explosion

Parameters:
  `yield` - The new yield percentage

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()